#Syntactic Priming in American Sign Language: code for analyzing Experiment 1

> sessionInfo()
R version 3.1.1 (2014-07-10)
Platform: x86_64-apple-darwin13.1.0 (64-bit)

library(lme4)
Experiment1data = read.delim("~/{pathnamegoeshere}Experiment1.dat")
str(Experiment1data)


ct <- function(x) {(scale(as.numeric(x), scale=F))} #This is a centering function that will be later applied to the fixed effect predictors in the model.  Execute it now. 

# Fixed effects: 
# PrimeType (2 levels): within SubjIDs, within Targets
# NounType (2 levels): within SubjIDs, within Targets

#Random effects: 
#Subjects: "SubjectID"
#Items: "Stimulus"

# Maximal Random Effect Structure: (does not converge)

Experiment1.fullmodel <-glmer(Pre.Post~ct(PrimeType)*ct(NounType) + (1+ct(PrimeType)*ct(NounType)|SubjectID) + (1+ct(PrimeType)*ct(NounType)|Stimulus), data=Experiment1data, family=binomial)



#Maximal converging structure: 
ReducedBoth.lmer <-glmer(Pre.Post~ct(PrimeType)*ct(NounType) + (1+ct(PrimeType)+ct(NounType)|SubjectID) + (1+ct(PrimeType)+ct(NounType)|Stimulus), data=Experiment1data, family=binomial)

#Maximal structure justified by model comparison
InterceptOnly.lmer <- glmer(Pre.Post~ct(PrimeType)*ct(NounType) + (1|SubjectID) + (1|Stimulus), data=Experiment1data, family=binomial)



